Package Gnumed :: Package timelinelib :: Package wxgui :: Package frames :: Package mainframe :: Module mainframecontroller :: Class MainFrameController |
[frames] | no frames]

# Class MainFrameController

source code

    object --+
             |
            MainFrameController

Instance Methods
__init__(self, main_frame, db_open_fn, config) x.__init__(...) initializes x; see help(type(x)) for signature | source code
on_started(self, application_arguments) | source code
open_or_create_timeline(self, path) | source code
open_timeline_if_exists(self, path) | source code
open_gregorian_tutorial_timeline(self, *args, **kwargs) | source code
open_timeline(self, path, timetype=None, save_current_data=True) | source code
set_timeline_in_readonly_mode(self) | source code
week_starts_on_monday(self) | source code
ok_to_edit(self) | source code
start_slide_show(self, canvas) | source code
edit_ends(self) | source code
timeline_is_readonly(self) | source code
reload_from_disk(self) | source code
select_all(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, main_frame, db_open_fn, config) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)